CHGRP(1)

NAME
chgrp - change group

SYNOPSIS
chgrp [-h] [ -R [-H | -L | -P]] group file ...

DESCRIPTION
chgrp sets the group ID of the specified files.

The options are as follows:

-H  If the -R option is specified, symbolic links on the command line are followed. Symbolic links encountered in the tree traversal are not followed.

-h  Treat symbolic links like other files: modify links instead of following them. The -h and -R options are mutually exclusive.

-L  If the -R option is specified, all symbolic links are followed.

-P  If the -R option is specified, no symbolic links are followed.

-R  Recurse. Where file is a directory, change the group ID of the directory and all the files and directories in the file hierarchy below it.

The -H, -L, and -P options are ignored unless the -R option is specified; if none of them are given, the default is to not follow symbolic links. In addition, these options override each other and the command's actions are determined by the last one specified.

The group operand can be either a group name from the group database, or a numeric group ID. If a group name is also a numeric group ID, the operand is used as a group name.

By default, chgrp clears the set-user-ID and set-group-ID bits on the file to prevent accidental or mischievous creation of set-user-ID and set-group-ID programs. This behaviour can be overridden by setting the sysctl(8) variable fs.posix.setuid to zero.

The user invoking chgrp must belong to the specified group and be the owner of the file, or be the superuser.

FILES
/etc/group
    group ID file

EXIT STATUS

SEE ALSO
chown(2), fts(3), group(5), passwd(5), symlink(7), chown(8)

STANDARDS
The chgrp utility is compliant with the p1003.1-2008 specification.